Jump to content
  • Please do not post a message for the purpose of insulting, incitement to hatred, sexual remarks and any other which does not respect our terms of use !

Update packets


Vixy

Recommended Posts

Bonjour,

 

Problème rencontré:

En gros j'ai il y à quelques mois j'ai téléchargé un émulateur (basé de PlusEmu) et je l'ai amélioré au fur et à mesure. Par après, j'ai réalisé que la version de la production était peut-être vieille ou que le Habbo.swf ne fonctionnerait pas comme prévu. 

(vars config, site/swf/client aussi, ports ouverts etc.) j'imagine que les swfs sont dead ou truc du genre. Cependant j'ai trouvé une version plus récente (PRODUCTION-201802201205-141713395). Je sais bien évidemment que pour l'installer je dois avec visual studio pour modifier mes fichiers .cs 

 

dois-je avoir d'autre chose pour modifier les packets ? Une fois les fichiers remplacés, je debug l'ému pour compiler les modifications je remplace le dossier de production dans les swf et le tour devrait être joué ? J'ai besoin d'amples explications svp. 

 

Ressources utilisées:

HabbowCMS

HabboEmu 

xampp(navicat) 

 

 

Screens:

Pour l'instant pas réellement besoin de screen, on parle d'update de packets etc.

 

Lien:

Pas besoin de lien non plus.

 

**Merci de m'ajouter discord au besoin : Vixy#4957

 

Cordialement,

 

Link to post
Share on other sites

il y a 1 minute, Stdclass a dit :

Parfait, donc une fois ces fichiers changés je n’ai qu’à enregistrer les modifications et lancer le debug pour compiler et ensuite le tour est joué?

 

merci d’avance pour votre aide!  

yes c'est bien ça, si tu as des erreurs corrige les avant de lancer le debug

Link to post
Share on other sites

Je t'ai déjà expliquer comment faire,
"Salut, ll te faut, le serverpacketheader, clientpacketheader, RSAkey et pour finir le bon habbo.swf"

et si il te manque des packets, soit tu les cherches sur le web soit tu supprimes les fonctionnalités c'est pas compliquer.
 

Link to post
Share on other sites

Je sais bien que tu m'as dit qui fallait upgrade ces trois fichiers là.. Mais ceux d'origine ont 700 lignes+, complete header list ils ont pas tous dans le grox max 375-400 lignes... Le reste est manquant donc forcément j'obtiens des erreurs et donc le débug échoue. Encore là, je ne peux pas me dire je vais intégrer ceux manquant aux packets plus récent.. (certaines structures changent etc. donc encore des erreurs). 

 

Tout ce que je demande c'est une personne de bonne foi qui pourrait prendre un peu de son temps pour m'expliquer et m'aider à upgrade mes swfs vers la version que je veux. 

 

Merci d'avance à celui/celle qui m'aidera à accomplir cet objectif!

Link to post
Share on other sites

    Salut Vixy ,
    Ton sujet a été déplacé pour une des deux raisons suivantes :

    - Ta demande a été résolue.

    - Ton sujet se trouvait dans la mauvaise catégorie.

        
      Ceci est un message automatique.

 

 

signature.png

Link to post
Share on other sites

Guest
This topic is now closed to further replies.
×
×
  • Create New...